function [optiX] = mosekSDPYalmipMosek( c,objective,v, number_of_it )

Options = sdpsettings('verbose',1,'solver','mosek-sdp', 'mosek.MSK_IPAR_INTPNT_MAX_ITERATIONS', number_of_it);
sdpYMPtime = tic;
res = solvesdp(c,objective,Options);
sdpYMTime  = toc(sdpYMPtime);
fprintf('sdp yalmip+mosek time = %f\n',sdpYMTime);

optiX=value(v);

end

